header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 1.3rem 5%;
  background: #1e1e20;
  border-bottom: 1px solid #000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;

  .nav-logo {
    img {
      height: 2.8rem;
    }
  }

  input {
    display: none;
  }

  .icons {
    position: absolute;
    right: 5%;
    cursor: pointer;
    display: none;
  }

  nav {
    a {
      font-size: 1.2rem;
      color: #dfdfd6;
      font-weight: 400;
      margin-left: 4rem;
      transition: 0.2s;
    }

    a:hover,
    a.active {
      color: #9499ff;
    }
  }
}

@media (max-width: 992px) {
  header {
    padding: 1.3rem 4%;
  }
}

@media (max-width: 768px) {
  header {
    #check:checked ~ .icons #menu-icon {
      display: none;
    }

    #check:checked ~ .icons #close-icon {
      display: block;
    }

    .nav-logo {
      img {
        height: 2.4rem;
      }
    }

    .icons {
      display: inline-flex;

      #close-icon {
        display: none;
      }
    }

    #check:checked ~ nav {
      height: 14rem;
    }

    nav {
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      height: 0;
      background: #1e1e20;
      border-bottom: 1px solid #000;
      overflow: hidden;
      transition: 0.4s ease;

      a {
        display: block;
        font-size: 1.2rem;
        margin: 1.5rem 0;
        text-align: center;
      }
    }
  }
}
